#!/bin/sh
echo "This script will ExtRoot your vera. Please make sure that you have an external drive plugged into the vera and that USB logging is enabled."
while true; do
    read -p "Are you ready?   " yn
    case $yn in
        [Yy]* ) break;;
        [Nn]* ) exit;;
        * ) echo "Please answer yes, no or press Ctrl + c to exit";;
    esac
done
while true; do
    read -p "Update Packages first?   " yn
    case $yn in
        [Nn]* ) break;;
        [Yy]* ) echo "arch ramips_24kec 100" >> /etc/opkg.conf
        echo "arch ramips_1004kc 200" >> /etc/opkg.conf
        echo "arch all 300" >> /etc/opkg.conf
        echo "src/gz base http://archive.openwrt.org/barrier_breaker/14.07/ramips/mt7620a/packages/base" >> /etc/opkg.conf
        echo "src/gz packages http://archive.openwrt.org/barrier_breaker/14.07/ramips/mt7620a/packages/packages" >> /etc/opkg.conf
        opkg update
        opkg install nano
        opkg install block-mount
        break;;
        * ) echo "Please answer yes, no or press Ctrl + c to exit";;
    esac
done
mkfs.ext4 /dev/sda2
mkdir -p /mnt/sda2
mount /dev/sda2 /mnt/sda2
mkdir -p /tmp/cproot
mount --bind / /tmp/cproot
tar -C /tmp/cproot -cvf - . | tar -C /mnt/sda2 -x
umount /tmp/cproot
uci delete fstab.@mount[0]
uci add fstab mount
uci set fstab.@mount[0].target=/
UUID=$(block info "/dev/sda2" | cut -c18-53)
uci set fstab.@mount[0].uuid="${UUID}"
uci set fstab.@mount[0].fstype=ext4
uci set fstab.@mount[0].options=rw,sync
uci set fstab.@mount[0].enabled=1
uci set fstab.@mount[0].enabled_fsck=0
uci add fstab mount
uci set fstab.@mount[1].enabled=1
uci set fstab.@mount[1].target=/tmp/log/cmh
uci set fstab.@mount[1].fstype=ext3
uci set fstab.@mount[1].options=rw,noatime,nodiratime,errors=continue,data=ordered
uci set fstab.@mount[1].enabled_fdisk=1
uci set fstab.@mount[1].enabled_mkfs=1
uci set fstab.@mount[1].enabled_fsck=1
uci set fstab.@mount[1].label=mios
uci set fstab.@mount[1].fssize=512
uci set fstab.@mount[1].fsck_days=30
uci set fstab.@mount[1].fsck_mounts=10
uci set fstab.@mount[1].device=/dev/sda1
uci set fstab.@mount[1].label=mios
uci add fstab mount
uci set fstab.@mount[2].target=/mnt/mmcblk*
uci set fstab.@mount[2].enabled=1
uci commit fstab
umount /dev/sda2
rm -R /tmp/cproot
rm -R /mnt/sda2
block info
cat /etc/config/fstab
while true; do
    read -p "Reboot?   " yn
    case $yn in
        [Yy]* ) break;;
        [Nn]* ) exit;;
    esac
done
reboot
